/*
 * Load.h
 *
 *  Created on: 02.12.2013
 *      Author: timseyler
 */

#ifndef LOAD_H_
#define LOAD_H_

#include "Component.h"

using namespace std;


class Load: public Component
{
public:
	long double m_dPowerOut;
	long double m_dEfficiency;

	Load(const string &compName, long double powerOut, long double efficiency);
	long double getPowerOut() const;
	long double getEfficiency() const;
	long double consumption() const;
	void collectAllLoads(Component::Collection &);

	virtual ~Load();
};

//freie Methoden
bool operator<(const Load &, const Load &);
ostream &operator<<(ostream &, const Component::Collection &);

#endif /* LOAD_H_ */
