// ss2008.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.
//

#include "Assembly.h"
#include "Load.h"
#include "Load2.h"
#include "Component.h"
#include <stdlib.h>
#include <iostream>
#include <exception>


using namespace std;

int main(int argc, char* argv[])
{
	try
	{
		Component::Collection coll;

		Load swischerVorne("M1", 38.0, 0.6);
		Load spritzPumpe("P1", 53.0, 0.43);
		Load swischerHinten("M2", 32.0, 0.65);

		Assembly komplett("Anlage: komplett");
		Assembly vorne("Anlage: vorne"), hinten("Anlage: hinten");

		/* Aufbau der Einzel-Assemblies */
		vorne.addComponent(&swischerVorne);
		vorne.addComponent(&spritzPumpe);
		hinten.addComponent(&swischerHinten);
		hinten.addComponent(&spritzPumpe);

		/* Aufbau des komplett-Assemblys */
		komplett.addComponent(&vorne); komplett.addComponent(&hinten);
		cout << "Gesamtleistung: " << komplett.consumption() << " W" << endl;

		komplett.collectAllLoads(coll);
		cout << "\nUnsortierte Ausgabe:" << endl;
		cout << coll;
		cout << "\nSortierte Ausgbae:" << endl;
		cout << transferCollection(coll);
	}
	catch (const exception &ex)
	{
		cerr << "Exception: " << ex.what();
	}

	return 0;
}

